Subject: Re: bug#71435: interactive xref-find-definitions-at-mouse

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jun 2024 18:23:27 +0300

> From: Alan Donovan <[email-masked]>
> Date: Mon, 10 Jun 2024 10:39:04 -0400
> Cc: Juri Linkov <[email-masked]>, Stefan Kangas <[email-masked]>, 
> 	Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > ?? This works for me:
> >  (global-set-key [C-down-mouse-1] 'xref-find-definitions-at-mouse)
> 
> Ah, I remember the problem now: if the point is at position A and the mouse click occurs at some unrelated
> position B, plain old xref-find-definitions-at-mouse will use position A as the basis of the query

I cannot reproduce thus.  I just tried, and the mouse click shows the
definition of identifier at mouse click, not at point.

> So perhaps my request should instead have been expressed as a bug report: xref-find-definitions-at-mouse
> uses the point instead of the mouse event position.

Please show a recipe for reproducing this, and please also tell what
version of Emacs are you using and on which platform.

Thanks.